import pygame as pg

pg.init()  # inicijalizujemo rad biblioteke PyGame
pg.display.set_caption("Kvadrat")  # otvaramo prozor
(sirina, visina) = (300, 300)
prozor = pg.display.set_mode((sirina, visina))

#Postavljamo početnu poziciju kvadrata
x = 50
y = 50

def crtaj():
    prozor.fill(pg.Color("dark green"))
    pg.draw.rect(prozor, pg.Color("white"), [x, y, 50, 50])
    pg.draw.rect(prozor, pg.Color("red"), [x + 10, y + 10 ,30, 30])
     
def novi_frejm():
    global x, y
    x += 1
    y += 1


kraj = False
sat = pg.time.Clock()  # sat koji određuje broj frejmova u sekundi
while not kraj:
    # crtamo i ažuriramo sadržaj prozora
    crtaj()
    pg.display.update()
       
    # proveravamo da li je korisnik isključio prozor
    for dogadjaj in pg.event.get():
        if dogadjaj.type == pg.QUIT:
            kraj = True

    # pauziramo do sledeceg frejma
    sat.tick(50)
    novi_frejm()

pg.quit() # isključujemo rad biblioteke PyGame
